#ifndef TELEMETRYDIALOG_H_
#define TELEMETRYDIALOG_H_

#include <msp/gltk/dialog.h>
#include <msp/gltk/label.h>
#include "libr2c2/driver.h"
#include "dynamicdialog.h"

class TelemetryDialog: public DynamicDialog
{
private:
	struct TelemetryLabel
	{
		const R2C2::Driver::TelemetryInfo *info;
		Msp::GLtk::Label *label;
	};

	R2C2::Driver &driver;
	std::list<TelemetryLabel> values;

public:
	TelemetryDialog(Engineer &);

	void update();
};

#endif
