#ifndef NEWVEHICLEDIALOG_H_
#define NEWVEHICLEDIALOG_H_

#include <msp/gltk/dialog.h>
#include <msp/gltk/list.h>
#include <msp/gltk/listdata.h>
#include "libr2c2/train.h"
#include "libr2c2/vehicletype.h"

class NewVehicleDialog: public Msp::GLtk::Dialog
{
private:
	R2C2::Train &train;
	Msp::GLtk::FunctionListData<const R2C2::VehicleType *> loco_types;
	Msp::GLtk::FunctionListData<const R2C2::VehicleType *> wagon_types;
	Msp::GLtk::List *active_list;

public:
	NewVehicleDialog(R2C2::Train &);

private:
	void toggle_list(bool, Msp::GLtk::List *);
	void add_clicked();
};

#endif
